curl --request GET \
--url https://api.app.fleetit.com/v2/vehicles/ \
--header 'Authorization: Bearer <token>'{
"count": 6000,
"next": "http://api.staging.fleetit.com/v2/vehicles/?limit=25&offset=25",
"previous": null,
"results": [
{
"id": 73047997,
"plate_number": "18KG3D",
"plate_state": "MO",
"vehicle_number": "3ALDCXFE8PDNX3089",
"vehicle_make": "FREIGHTLIN",
"vehicle_model": "M2106 VN555-MHI",
"year": "2023",
"lessee_renter": "JOMAR ELECTRICAL CONTRACTORS",
"custom_fields": {
"equipment_number": "224774",
"customer_number": "2043780"
},
"vehicle_type_code": null,
"active": true
}
]
}Retrieve a list of all vehicles in the system.
curl --request GET \
--url https://api.app.fleetit.com/v2/vehicles/ \
--header 'Authorization: Bearer <token>'{
"count": 6000,
"next": "http://api.staging.fleetit.com/v2/vehicles/?limit=25&offset=25",
"previous": null,
"results": [
{
"id": 73047997,
"plate_number": "18KG3D",
"plate_state": "MO",
"vehicle_number": "3ALDCXFE8PDNX3089",
"vehicle_make": "FREIGHTLIN",
"vehicle_model": "M2106 VN555-MHI",
"year": "2023",
"lessee_renter": "JOMAR ELECTRICAL CONTRACTORS",
"custom_fields": {
"equipment_number": "224774",
"customer_number": "2043780"
},
"vehicle_type_code": null,
"active": true
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Search term to filter results. Searchable fields include: plate_number, plate_state, vehicle_number, id, vehicle_make, vehicle_model, lessee_renter, status_with_toll_authority.
Exact match for plate state. Comma Separated for multiple values.
Exact match for plate number. Commas Separated for multiple values.
Exact match for vehicle type code. Comma Separated for multiple values.
Multiple choice filter for vehicle status with toll authority.
["ACTIVE", "INACTIVE"]Exact match for added date.
"2022-01-01"
Filter for added date greater than or equal to the specified date.
"2022-01-01"
Filter for added date less than or equal to the specified date.
"2022-12-31"
Was this page helpful?